// GlobalComponents for Volar
declare module 'vue' {
  export interface GlobalComponents {
    PsAffix: typeof import('element-ps')['PsAffix']
    PsAlert: typeof import('element-ps')['PsAlert']
    PsAside: typeof import('element-ps')['PsAside']
    PsAutocomplete: typeof import('element-ps')['PsAutocomplete']
    PsAvatar: typeof import('element-ps')['PsAvatar']
    PsBacktop: typeof import('element-ps')['PsBacktop']
    PsBadge: typeof import('element-ps')['PsBadge']
    PsBreadcrumb: typeof import('element-ps')['PsBreadcrumb']
    PsBreadcrumbItem: typeof import('element-ps')['PsBreadcrumbItem']
    PsButton: typeof import('element-ps')['PsButton']
    PsButtonGroup: typeof import('element-ps')['PsButtonGroup']
    PsCalendar: typeof import('element-ps')['PsCalendar']
    PsCard: typeof import('element-ps')['PsCard']
    PsCarousel: typeof import('element-ps')['PsCarousel']
    PsCarouselItem: typeof import('element-ps')['PsCarouselItem']
    PsCascader: typeof import('element-ps')['PsCascader']
    PsCascaderPanel: typeof import('element-ps')['PsCascaderPanel']
    PsCheckbox: typeof import('element-ps')['PsCheckbox']
    PsCheckboxButton: typeof import('element-ps')['PsCheckboxButton']
    PsCheckboxGroup: typeof import('element-ps')['PsCheckboxGroup']
    PsCol: typeof import('element-ps')['PsCol']
    PsCollapse: typeof import('element-ps')['PsCollapse']
    PsCollapseItem: typeof import('element-ps')['PsCollapseItem']
    PsCollapseTransition: typeof import('element-ps')['PsCollapseTransition']
    PsColorPicker: typeof import('element-ps')['PsColorPicker']
    PsContainer: typeof import('element-ps')['PsContainer']
    PsConfigProvider: typeof import('element-ps')['PsConfigProvider']
    PsDatePicker: typeof import('element-ps')['PsDatePicker']
    PsDialog: typeof import('element-ps')['PsDialog']
    PsDivider: typeof import('element-ps')['PsDivider']
    PsDrawer: typeof import('element-ps')['PsDrawer']
    PsDropdown: typeof import('element-ps')['PsDropdown']
    PsDropdownItem: typeof import('element-ps')['PsDropdownItem']
    PsDropdownMenu: typeof import('element-ps')['PsDropdownMenu']
    PsEmpty: typeof import('element-ps')['PsEmpty']
    PsFooter: typeof import('element-ps')['PsFooter']
    PsForm: typeof import('element-ps')['PsForm']
    PsFormItem: typeof import('element-ps')['PsFormItem']
    PsHeader: typeof import('element-ps')['PsHeader']
    PsIcon: typeof import('element-ps')['PsIcon']
    PsImage: typeof import('element-ps')['PsImage']
    PsImageViewer: typeof import('element-ps')['PsImageViewer']
    PsInput: typeof import('element-ps')['PsInput']
    PsInputNumber: typeof import('element-ps')['PsInputNumber']
    PsLink: typeof import('element-ps')['PsLink']
    PsMain: typeof import('element-ps')['PsMain']
    PsMenu: typeof import('element-ps')['PsMenu']
    PsMenuItem: typeof import('element-ps')['PsMenuItem']
    PsMenuItemGroup: typeof import('element-ps')['PsMenuItemGroup']
    PsOption: typeof import('element-ps')['PsOption']
    PsOptionGroup: typeof import('element-ps')['PsOptionGroup']
    PsPageHeader: typeof import('element-ps')['PsPageHeader']
    PsPagination: typeof import('element-ps')['PsPagination']
    PsPopconfirm: typeof import('element-ps')['PsPopconfirm']
    PsPopper: typeof import('element-ps')['PsPopper']
    PsProgress: typeof import('element-ps')['PsProgress']
    PsRadio: typeof import('element-ps')['PsRadio']
    PsRadioButton: typeof import('element-ps')['PsRadioButton']
    PsRadioGroup: typeof import('element-ps')['PsRadioGroup']
    PsRate: typeof import('element-ps')['PsRate']
    PsRow: typeof import('element-ps')['PsRow']
    PsScrollbar: typeof import('element-ps')['PsScrollbar']
    PsSelect: typeof import('element-ps')['PsSelect']
    PsSlider: typeof import('element-ps')['PsSlider']
    PsStep: typeof import('element-ps')['PsStep']
    PsSteps: typeof import('element-ps')['PsSteps']
    PsSubMenu: typeof import('element-ps')['PsSubMenu']
    PsSwitch: typeof import('element-ps')['PsSwitch']
    PsTabPane: typeof import('element-ps')['PsTabPane']
    PsTable: typeof import('element-ps')['PsTable']
    PsTableColumn: typeof import('element-ps')['PsTableColumn']
    PsTabs: typeof import('element-ps')['PsTabs']
    PsTag: typeof import('element-ps')['PsTag']
    PsTimePicker: typeof import('element-ps')['PsTimePicker']
    PsTimeSelect: typeof import('element-ps')['PsTimeSelect']
    PsTimeline: typeof import('element-ps')['PsTimeline']
    PsTimelineItem: typeof import('element-ps')['PsTimelineItem']
    PsTooltip: typeof import('element-ps')['PsTooltip']
    PsTransfer: typeof import('element-ps')['PsTransfer']
    PsTree: typeof import('element-ps')['PsTree']
    PsTreeV2: typeof import('element-ps')['PsTreeV2']
    PsUpload: typeof import('element-ps')['PsUpload']
    PsSpace: typeof import('element-ps')['PsSpace']
    PsSkeleton: typeof import('element-ps')['PsSkeleton']
    PsSkeletonItem: typeof import('element-ps')['PsSkeletonItem']
    PsCheckTag: typeof import('element-ps')['PsCheckTag']
    PsDescriptions: typeof import('element-ps')['PsDescriptions']
    PsDescriptionsItem: typeof import('element-ps')['PsDescriptionsItem']
    PsResult: typeof import('element-ps')['PsResult']
    PsSelectV2: typeof import('element-ps')['PsSelectV2']
  }
}

declare module '@vue/runtime-core' {
  interface ComponentCustomProperties {
    $message: typeof import('element-ps')['PsMessage']
    $notify: typeof import('element-ps')['PsNotification']
    $msgbox: typeof import('element-ps')['PsMessageBox']
    $messageBox: typeof import('element-ps')['PsMessageBox']
    $alert: typeof import('element-ps')['PsMessageBox']['alert']
    $confirm: typeof import('element-ps')['PsMessageBox']['confirm']
    $prompt: typeof import('element-ps')['PsMessageBox']['prompt']
    $loading: typeof import('element-ps')['PsLoadingService']
  }
}

export {}
